Subject: [DNSOP] [Editorial Errata Reported] RFC8906 (6783)

From: RFC Errata System <[email-masked]>
Date: Tue, 14 Dec 2021 00:28:46 -0800 (PST)

The following errata report has been submitted for RFC8906,
"A Common Operational Problem in DNS Servers: Failure to Communicate".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6783

--------------------------------------
Type: Editorial
Reported by: Mukund Sivaraman <[email-masked]>

Section: 8.2.3

Original Text
-------------
as unknown EDNS options are supposed to be ignored by the
   server (Section 6.1.1 of [RFC6891]).

Corrected Text
--------------
as unknown EDNS options are supposed to be ignored by the
   server (Section 6.1.2 of [RFC6891]).

Notes
-----
Reference to the section in RFC 6891 is incorrect. There's no information on what to do with unknown options in RFC 6891 section 6.1.1.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8906 (draft-ietf-dnsop-no-response-issue-23)
--------------------------------------
Title               : A Common Operational Problem in DNS Servers: Failure to Communicate
Publication Date    : September 2020
Author(s)           : M. Andrews, R. Bellis
Category            : BEST CURRENT PRACTICE
Source              : Domain Name System Operations
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG

---

From: Ray Bellis <[email-masked]>
Date: Tue, 14 Dec 2021 09:03:16 +0000

> "A Common Operational Problem in DNS Servers: Failure to Communicate".

The erratum is correct - the reference should be to 6.1.2, not 6.1.1

kind regards,

Ray